@misc{dream,
  title = {Distributed Replicated Edge Agency Machine},
  url = {https://dream.public.cat}
}

@article{dmc,
  title = {Distributed Mutable Containers},
  year = {2021},
  url = {http://purl.org/dmc}
}

@article{upsycle,
  title = {UPSYCLE: Ubiquitous Publish-Subscribe Infrastructure for Collaboration on Edge Networks},
  author = {T G x Thoth},
  year = {2021},
  url = {https://p2pcollab.net/design/upsycle}
}

@inproceedings{cmrdts,
  title={Making operation-based CRDTs operation-based},
  author={Baquero, Carlos and Almeida, Paulo S{\'e}rgio and Shoker, Ali},
  booktitle={IFIP International Conference on Distributed Applications and Interoperable Systems},
  pages={126--140},
  year={2014},
  organization={Springer}
}

@misc{dsgm,
    author = {Matthew Weidner and Martin Kleppmann and Daniel Hugenroth and Alastair R. Beresford},
    title = {Key Agreement for Decentralized Secure Group Messaging with Strong Security Guarantees},
    howpublished = {Cryptology ePrint Archive, Report 2020/1281},
    year = {2020},
    url = {https://eprint.iacr.org/2020/1281}
}

@misc{libp2p,
  title = {libp2p - A modular network stack},
  url = {https://libp2p.io}
}

@misc{ipfs,
      title={IPFS - Content Addressed, Versioned, P2P File System},
      author={Juan Benet},
      year={2014},
      eprint={1407.3561},
      archivePrefix={arXiv},
      primaryClass={cs.NI},
      url={https://arxiv.org/pdf/1407.3561}
}

@misc{gnunet,
  title={The GNUnet System},
  author={Grothoff, Christian},
  year={2017},
  school={Universit{\'e} de Rennes 1},
  url = {https://hal.inria.fr/tel-01654244/document}
}

@misc{mqtt,
  title = {MQTT 5.0},
  url = {https://docs.oasis-open.org/mqtt/mqtt/v5.0/os/mqtt-v5.0-os.html}
}

@misc{amqp,
  title = {AMQP v1.0},
  url = {https://www.amqp.org/sites/amqp.org/files/amqp.pdf},
}

@misc{cbor,
  title = {Concise Binary Object Representation (CBOR)},
  author = {Bormann, C. and P. Hoffman},
  year = {2020},
  url = {https://www.rfc-editor.org/info/rfc8949}
}

@misc{xmpp,
  title = {Extensible Messaging and Presence Protocol (XMPP)},
  url = {https://xmpp.org/extensions/}
}

@misc{matrix,
  title = {Matrix Specification},
  url = {https://matrix.org/docs/spec/}
}

@misc{cddl,
  title = {Concise Data Definition Language (CDDL): A Notational Convention to Express Concise Binary Object Representation (CBOR) and JSON Data Structures},
  author = {Birkholz, H., and Vigano, C., and C. Bormann},
  year = {2019},
  url = {https://www.rfc-editor.org/info/rfc8610}
}

@misc{ipmc,
  title = {IP Multicast Applications: Challenges and Solutions},
  author = {B. Quinn and K. Almeroth},
  year = {2001},
  url = {https://www.rfc-editor.org/info/rfc3170}
}